Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.taxonomy
Class InconsistentTaxonomyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.lucene.facet.taxonomy.InconsistentTaxonomyException

All Implemented Interfaces:
  Serializable

    public class InconsistentTaxonomyException

extends Exception

Exception indicating that a certain operation could not be performed on a taxonomy related object because of an inconsistency.

For example, trying to refresh a taxonomy reader might fail in case the underlying taxonomy was meanwhile modified in a manner which does not allow to perform such a refresh. (See `TaxonomyReader.refresh()`.)

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`InconsistentTaxonomyException()`
`InconsistentTaxonomyException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InconsistentTaxonomyException

    public InconsistentTaxonomyException(String message)

### InconsistentTaxonomyException

    public InconsistentTaxonomyException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD